Debian Bug report logs - #600171
ITP: eclipse-jgit -- pure Java implementation of the GIT VCS

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Niels Thykier <niels@thykier.net>

Date: Thu, 14 Oct 2010 09:06:01 UTC

Owned by: Jakub Adam <jakub.adam@ktknet.cz>

Severity: wishlist

Fixed in version eclipse-jgit/1.1.0-1

Done: Jakub Adam <jakub.adam@ktknet.cz>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#600171; Package wnpp. (Thu, 14 Oct 2010 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 14 Oct 2010 09:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: eclipse-jgit -- pure Java implementation of the GIT VCS
Date: Thu, 14 Oct 2010 10:47:24 +0200
Package: wnpp
Severity: wishlist
Owner: Niels Thykier <niels@thykier.net>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : eclipse-jgit
  Version         : 0.9.3
  Upstream Author : Eclipse Development Team
* URL             : http://eclipse.org/jgit/
* License         : BSD-like
  Programming Lang: Java
  Description     : pure Java implementation of the GIT VCS

Needed for eclipse-egit.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMtsOWAAoJEAVLu599gGRC+MIQAIHoFQWKCR3ZnpOMJneoe4oR
VZAXfF50FZiyODJq1UHK0GUzc3JeCWIlwowMoatCHh9ENRPSbyOj0f3Dc60jJalu
WikUVyYTQTjC7vGtoI1WZ1X5z5JwjCnfkrC8TpxcySA3dXdx+h08BhEZf4azpbv9
jMbY6UXLlbnqr9tooFwcOkKj8Pk+aMwMk7jvAytLrADqxAWDaw6/rVeIWbnEHzkv
wOozh/f1Zn1yqVh8Gls9VylDe+VTUNXhoGBh3Pw8w2ybKCBeJBd6gt8atwR74NLH
LMf6AzGhe61/zgl7bPW5jHXk8Bik8iQ56o8tcVhEvPBQKAXq2iuMjVU8dMQHTvMx
ZIGWdasMaDZKHq1C1gkLXckJ4PJ00yhMzP53sytiEi/tQiGGS7HFcRzOZXzdyn2c
ze94JijOfHdN3dXtGYaV/Xrh/aX5B1xSLy9KOXsySaFgrpwPzoTivZVQ6JVAXboc
b5J+m9MBN8X4KA3XTyDEUQgWvRfOwVBxgI2E53beXdkPKQ/26+cbuBGOanAQ7GN0
+w5zx5bd1t78SXx+rXwJDiJe81ySaQ8HAf1Ez1NAM4Hfx1c1G9HZTV1kju1WwpDg
G345w90j36y/yxJUfiTtdUvEmHV4A+C9wc9CaVtXCS0/MveQP1dtECysGrYKr/p1
cAbgecbZ6UtlYYo5J17l
=c0ys
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Niels Thykier <niels@thykier.net>:
Bug#600171; Package wnpp. (Wed, 27 Jul 2011 16:34:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Niels Thykier <niels@thykier.net>. (Wed, 27 Jul 2011 16:34:40 GMT) Full text and rfc822 format available.

Message #10 received at 600171@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 600171@bugs.debian.org
Cc: control@bugs.debian.org
Subject: eclipse-jgit: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:33 +0200
retitle 600171 RFP: eclipse-jgit -- pure Java implementation of the GIT VCS
noowner 600171
thanks

Hi,

This is an automatic email to change the status of eclipse-jgit back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting eclipse-jgit, please send a mail to
<control@bugs.debian.org> with:

 retitle 600171 ITP: eclipse-jgit -- pure Java implementation of the GIT VCS
 owner 600171 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <600171@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: eclipse-jgit -- pure Java implementation of the GIT VCS' from 'ITP: eclipse-jgit -- pure Java implementation of the GIT VCS' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:51:45 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Niels Thykier <niels@thykier.net>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:51:49 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: eclipse-jgit -- pure Java implementation of the GIT VCS' from 'RFP: eclipse-jgit -- pure Java implementation of the GIT VCS' Request was from Jakub Adam <jakub.adam@ktknet.cz> to control@bugs.debian.org. (Mon, 26 Sep 2011 16:54:05 GMT) Full text and rfc822 format available.

Owner recorded as Jakub Adam <jakub.adam@ktknet.cz>. Request was from Jakub Adam <jakub.adam@ktknet.cz> to control@bugs.debian.org. (Mon, 26 Sep 2011 16:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#600171; Package wnpp. (Tue, 27 Sep 2011 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 27 Sep 2011 22:21:03 GMT) Full text and rfc822 format available.

Message #23 received at 600171@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 600171@bugs.debian.org
Subject: eclipse-jgit uploaded to mentors.debian.net
Date: Wed, 28 Sep 2011 00:11:33 +0200
I put JGit package to mentors.debian.net, please review and consider sponsoring an upload

http://mentors.debian.net/package/eclipse-jgit

BR,

Jakub




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jakub Adam <jakub.adam@ktknet.cz>:
Bug#600171; Package wnpp. (Wed, 28 Sep 2011 11:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jakub Adam <jakub.adam@ktknet.cz>. (Wed, 28 Sep 2011 11:03:21 GMT) Full text and rfc822 format available.

Message #28 received at 600171@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Jakub Adam <jakub.adam@ktknet.cz>, 600171@bugs.debian.org, Debian Java List <debian-java@lists.debian.org>
Subject: Re: Bug#600171: eclipse-jgit uploaded to mentors.debian.net
Date: Wed, 28 Sep 2011 12:58:48 +0200
On 2011-09-28 00:11, Jakub Adam wrote:
> I put JGit package to mentors.debian.net, please review and consider
> sponsoring an upload
> 
> http://mentors.debian.net/package/eclipse-jgit
> 
> BR,
> 
> Jakub
> 
> 
> 

Hey,

Have you considered putting this under the Debian Java Team?  Most
(all?) existing eclipse packages are maintained the team in pkg-java's
git repository.

Out of curiousity, why do you use debhelper compat 5?

I have not build tested the package, but according to lintian you are
using an outdated version of DEP-5.

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#600171; Package wnpp. (Wed, 28 Sep 2011 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Adam <jakub.adam@ktknet.cz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 28 Sep 2011 18:03:03 GMT) Full text and rfc822 format available.

Message #33 received at 600171@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: Niels Thykier <niels@thykier.net>, 600171@bugs.debian.org
Subject: Re: Bug#600171: eclipse-jgit uploaded to mentors.debian.net
Date: Wed, 28 Sep 2011 19:58:49 +0200
Hi Niels,

> Have you considered putting this under the Debian Java Team?  Most
> (all?) existing eclipse packages are maintained the team in pkg-java's
> git repository.

I will ask to join pkg-java project on Alioth and put my changes to git
once my request is accepted (I'm new to Debian packaging, so I hope this
is the right procedure).

>
> Out of curiousity, why do you use debhelper compat 5?

As a starting point I reused debian/ directory from other project,
think it was eclipse-cdt, and it was already there. Neither lintian nor
mentors.debian.org reported this as an error or warning so I left this
untouched. I will update packaging to use the newest recommended
compatibility level.

Jakub




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 07:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jakub Adam <jakub.adam@ktknet.cz>:
Bug#600171; Package wnpp. (Wed, 26 Oct 2011 09:36:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jakub Adam <jakub.adam@ktknet.cz>. (Wed, 26 Oct 2011 09:36:59 GMT) Full text and rfc822 format available.

Message #40 received at 600171@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 600171@bugs.debian.org
Subject: protobuf
Date: Wed, 26 Oct 2011 11:07:05 +0200
Hi,

I've also looked into packaging jgit, but didn't make this an ITP since I 
wasn't confident enough.
What I've done so far:
- contact the protobuf Debian maintainer. libprotobuf-java should get an 
update soon with proper maven packaging.
- complained to jgit upstream about the copyright headers:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=359407
- Made Matthias Sohn to publish his tag signing gpg key. The key however 
doesn't have any signatures attached yet: Key Id 140C2876
- got the build depends:

debian/control:

Build-Depends: debhelper (>= 8.0.0), maven-repo-helper, 
 libbuild-helper-maven-plugin-java, libmaven-antrun-plugin-java, libmaven-
compiler-plugin-java,
 libmaven-jar-plugin-java, libmaven-javadoc-plugin-java, libmaven-shade-
plugin-java, libsurefire-java,
 ant, libargs4j-java, libjsch-java, libservlet2.4-java

Good luck with the packaging. You can find me on IRC (thkoch) or jabber: 
thkoch2001@debianforum.de

Regards,

Thomas Koch, http://www.koch.ro




Reply sent to Jakub Adam <jakub.adam@ktknet.cz>:
You have taken responsibility. (Fri, 28 Oct 2011 11:06:24 GMT) Full text and rfc822 format available.

Notification sent to Niels Thykier <niels@thykier.net>:
Bug acknowledged by developer. (Fri, 28 Oct 2011 11:06:27 GMT) Full text and rfc822 format available.

Message #45 received at 600171-close@bugs.debian.org (full text, mbox):

From: Jakub Adam <jakub.adam@ktknet.cz>
To: 600171-close@bugs.debian.org
Subject: Bug#600171: fixed in eclipse-jgit 1.1.0-1
Date: Fri, 28 Oct 2011 11:02:12 +0000
Source: eclipse-jgit
Source-Version: 1.1.0-1

We believe that the bug you reported is fixed in the latest version of
eclipse-jgit, which is due to be installed in the Debian FTP archive:

eclipse-jgit_1.1.0-1.debian.tar.gz
  to main/e/eclipse-jgit/eclipse-jgit_1.1.0-1.debian.tar.gz
eclipse-jgit_1.1.0-1.dsc
  to main/e/eclipse-jgit/eclipse-jgit_1.1.0-1.dsc
eclipse-jgit_1.1.0-1_all.deb
  to main/e/eclipse-jgit/eclipse-jgit_1.1.0-1_all.deb
eclipse-jgit_1.1.0.orig.tar.bz2
  to main/e/eclipse-jgit/eclipse-jgit_1.1.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Adam <jakub.adam@ktknet.cz> (supplier of updated eclipse-jgit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 26 Sep 2011 18:40:57 +0200
Source: eclipse-jgit
Binary: eclipse-jgit
Architecture: source all
Version: 1.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Jakub Adam <jakub.adam@ktknet.cz>
Description: 
 eclipse-jgit - Java implementation of GIT for Eclipse
Closes: 600171
Changes: 
 eclipse-jgit (1.1.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #600171)
Checksums-Sha1: 
 5aade7b5a814d19291d7d872b16e066e9e719718 2093 eclipse-jgit_1.1.0-1.dsc
 a67a799bc944f2aa081fef9f5a34ca4200cf9f00 1126637 eclipse-jgit_1.1.0.orig.tar.bz2
 a022d62c88de3dcaf8ae28b22703a033baf9ec86 3606 eclipse-jgit_1.1.0-1.debian.tar.gz
 1e865ebcec7f6e06afb3394b77ec1da694e282bc 1263726 eclipse-jgit_1.1.0-1_all.deb
Checksums-Sha256: 
 9fb747e1f1f61de5e880192adec916e5f953a28e50d7596727209c44454b297b 2093 eclipse-jgit_1.1.0-1.dsc
 fe6d482a0b8e4c58d1af4c480f08afce2822596757509c63241fd2a8f6fd381e 1126637 eclipse-jgit_1.1.0.orig.tar.bz2
 12e591ab6f6787a65284a1733f42f203b1afd6b8ef43019664e9850259179aec 3606 eclipse-jgit_1.1.0-1.debian.tar.gz
 90cbd84bacb2668003f57d08a9c750a41a4a2bb00bade9c7fac6d0580ebb167b 1263726 eclipse-jgit_1.1.0-1_all.deb
Files: 
 d023fad8044bfd2cc0cbaded52afc323 2093 devel optional eclipse-jgit_1.1.0-1.dsc
 1dc6d168b58d108f8f6c53ed4d883b0b 1126637 devel optional eclipse-jgit_1.1.0.orig.tar.bz2
 dd6aa324d312bbed7cbda19bccbdca1c 3606 devel optional eclipse-jgit_1.1.0-1.debian.tar.gz
 36b42de54a0c36fa87849facd5ee86be 1263726 devel optional eclipse-jgit_1.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOpxPYAAoJEAVLu599gGRCjN8QAIYQSXlBofyaI6Mhi3h1aIEs
qDc380X4sIrkIndl4cQu7aX8vmeKoGuSbMtweWjozAjYE34fRDBoXZRdRB/dR6R1
6NZ6MyQpAuYdPI25qtKSYfJ5XvU5WHpKw0NKsW8wQaPP86INz3H72exlkmug9B0W
pEsCsNsm7/I55FvhxtC0L8VTo953ULo/kk8kDLKK19+QJcGqvZlHcKxzq9sEKctw
tH1dVu5aoOWumfY9nYZqpKvZuaORDKjvRooUH+K12x6pcSNHPmGQnuiEZOH/KO5o
Lg6oz/4pFJFqyph0Lw1VTxjSVpJCQN9X2kXW0PYmkNPPkeu+724rR0utJ5yuYTNh
egZQJRZwuFD6XBT/Wcfol1GQlPiFghkMXQkTcucDzLUD+cvcK0WpbDTUw4xpyS81
00TXyPFgkQUKS8zoHdIvc3Ewh0o3aXm5pTB2ni0Ji9AV+jVMNUS5pPmcKmu1FdxJ
aIUEZBDglMbA9/BSJjzKqqL/DcPY6BA0dBoOOHDsZzH54DmgdaQQVfli92zDIVRQ
iQVEJmLDfgVafkvEtT3gSx71TgPgzocNeLv06SQPpu7ok7JGPJ4DFIGEwmy+KIlN
KOanFkDsUPLqZEda1ATsGMTMHNkeS3pZgj+90fppVWKffXQKqpuG1voCvDXwJpJR
RiJYmpJCDn//XBE6kcSg
=+mpD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Nov 2011 07:36:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:46:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.